import { AccountBookOutlined, AppstoreOutlined, BuildOutlined, LeftOutlined, MoneyCollectOutlined, RightOutlined, TransactionOutlined, UsergroupAddOutlined } from "@ant-design/icons";
import { useHover, useScroll, useSize } from "ahooks";
import { Button, Card, Form, Select, Space, Statistic } from "antd"
import React, { useEffect, useRef, useState } from "react"
import style from './index.less'
import LineC from "./lineC";
const AllSurvey: React.FC = () => {

    /* ==================== */
    const ref = useRef(null);
    const ref1 = useRef(null);
    const ref2 = useRef(null);
    const ref3 = useRef(null);
    const isHovering = useHover(ref); // 是否hover
    const isHovering1 = useHover(ref1); // 是否hover
    const isHovering2 = useHover(ref2); // 是否hover
    const size = useSize(ref);  // div大小
    const size3 = useSize(ref3);  // div大小
    const scroll = useScroll(ref);

    const [leftShow, setLeftShow] = useState<boolean>(false)
    const [rightShow, setRightShow] = useState<boolean>(false)
    const [isPass, setIsPass] = useState<boolean>(false)  // 容器是否大于内容宽度

    const [form] = Form.useForm();
    /* ==================== */

    // console.log('size3---->', size3);
    

    // 处理左右按钮隐藏 显示
    useEffect(() => {
        // console.log('isHovering---->', isHovering, 'size---->', size, 'scroll--->', scroll);
        if (isHovering || isHovering1 || isHovering2) {
            let width = size.width || 0
            let left = scroll.left || 0
            if (width >= 1960) { // 容器大于内容宽度 兼容
                setLeftShow(false)
                setRightShow(false)
                setIsPass(true)
            } else {
                setIsPass(false)
                if (left === 0) {
                    setLeftShow(false)
                } else {
                    setLeftShow(true)
                }
                if (width < 1960) {
                    setRightShow(true)
                }
                if (width + left === 1960) {
                    setRightShow(false)
                }
            }
        } else {
            setLeftShow(false)
            setRightShow(false)
        }
    }, [isHovering, isHovering1, isHovering2, size, scroll])

    // 左右移动
    const aboutHandle = (about: 'left' | 'right') => {
        let left = scroll.left || 0
        if (about === 'left') {
            (ref?.current as any)?.scrollTo(left - 100, 0)
        } else {
            (ref?.current as any)?.scrollTo(left + 100, 0)
        }
    }

    return <div className={style.allSurver}>
        <Space direction="vertical" style={{ width: '100%' }}>
            <div ref={ref3}>
                <Card bordered={false} bodyStyle={{ padding: '12px 24px' }}>
                    <Form layout="inline" form={form}>
                        <Form.Item label="项目组" name="group">
                            <Select style={{ width: 150 }} placeholder='请选择项目组'>
                                <Select.Option value="jack">组1</Select.Option>
                                <Select.Option value="lucy">组2</Select.Option>
                            </Select>
                        </Form.Item>
                        <Form.Item label="投手" name="pitcher">
                            <Select style={{ width: 150 }} placeholder='请选择投手'>
                                <Select.Option value="jack">投手1</Select.Option>
                                <Select.Option value="lucy">投手2</Select.Option>
                            </Select>
                        </Form.Item>
                        <Form.Item label="期数" name="periods">
                            <Select style={{ width: 150 }} placeholder='请选择期数'>
                                <Select.Option value="jack">期数1</Select.Option>
                                <Select.Option value="lucy">期数2</Select.Option>
                            </Select>
                        </Form.Item>
                    </Form>
                </Card>
            </div>
            <div className={style.overviewC}>
                <div className={style.left}><Button type="primary" ref={ref1} style={{ opacity: leftShow ? 1 : 0 }} onClick={() => aboutHandle('left')} shape="circle" icon={<LeftOutlined />} /></div>
                <div className={style.right}><Button type="primary" ref={ref2} style={{ opacity: rightShow ? 1 : 0 }} onClick={() => aboutHandle('right')} shape="circle" icon={<RightOutlined />} /></div>
                <div className={style.overviews} ref={ref}>
                    <div style={{ width: isPass ? '100%' : 1960 }}>
                        <Card bordered={false} style={{ width: 320 }}>
                            <div className={style.overview}>
                                <div className={style.left}>
                                    <UsergroupAddOutlined style={{ fontSize: 24 }} />
                                    <div>玩家</div>
                                </div>
                                <div className={style.right}>
                                    <div className={style.top}>
                                        总计：<Statistic value={112893} valueStyle={{ fontSize: 20, fontWeight: 600 }} />
                                    </div>
                                    <div className={style.bottom}>
                                        <div>昨日：<Statistic value={6244} /></div>
                                        <div>今日：<Statistic value={123} /></div>
                                    </div>
                                </div>
                            </div>
                        </Card>
                        <Card bordered={false} style={{ width: 320 }}>
                            <div className={style.overview}>
                                <div className={style.left} style={{ backgroundColor: '#36a3f7' }}>
                                    <TransactionOutlined style={{ fontSize: 24 }} />
                                    <div>消耗</div>
                                </div>
                                <div className={style.right}>
                                    <div className={style.top} style={{ borderColor: '#36a3f7' }}>
                                        总计：<Statistic value={11289345} valueStyle={{ fontSize: 20, fontWeight: 600 }} />
                                    </div>
                                    <div className={style.bottom}>
                                        <div>昨日：<Statistic value={4567} /></div>
                                        <div>今日：<Statistic value={1534} /></div>
                                    </div>
                                </div>
                            </div>
                        </Card>
                        <Card bordered={false} style={{ width: 320 }}>
                            <div className={style.overview}>
                                <div className={style.left} style={{ backgroundColor: '#f4516c' }}>
                                    <MoneyCollectOutlined style={{ fontSize: 24 }} />
                                    <div>充值</div>
                                </div>
                                <div className={style.right}>
                                    <div className={style.top} style={{ borderColor: '#f4516c' }}>
                                        总计：<Statistic value={1120893} valueStyle={{ fontSize: 20, fontWeight: 600 }} />
                                    </div>
                                    <div className={style.bottom}>
                                        <div style={{ justifyContent: 'space-between' }}>
                                            <div>昨账：<Statistic value={62244} /></div>
                                            <div>昨新：<Statistic value={45000} /></div>
                                        </div>
                                        <div style={{ justifyContent: 'space-between', flex: 1 }}>
                                            <div>今账：<Statistic value={2325} /></div>
                                            <div>今新：<Statistic value={1230} /></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </Card>
                        <Card bordered={false} style={{ width: 320 }}>
                            <div className={style.overview}>
                                <div className={style.left} style={{ backgroundColor: '#52c41a' }}>
                                    <AppstoreOutlined style={{ fontSize: 24 }} />
                                    <div>渠道</div>
                                </div>
                                <div className={style.right}>
                                    <div className={style.top} style={{ borderColor: '#52c41a' }}>
                                        总计：<Statistic value={1128} valueStyle={{ fontSize: 20, fontWeight: 600 }} />
                                    </div>
                                    <div className={style.bottom}>
                                        <div>昨日：<Statistic value={23} /></div>
                                        <div>今日：<Statistic value={1} /></div>
                                    </div>
                                </div>
                            </div>
                        </Card>
                        <Card bordered={false} style={{ width: 320 }}>
                            <div className={style.overview}>
                                <div className={style.left} style={{ backgroundColor: '#597ef7' }}>
                                    <BuildOutlined style={{ fontSize: 24 }} />
                                    <div>游戏</div>
                                </div>
                                <div className={style.right}>
                                    <div className={style.top} style={{ borderColor: '#597ef7' }}>
                                        总计：<Statistic value={1128} valueStyle={{ fontSize: 20, fontWeight: 600 }} />
                                    </div>
                                    <div className={style.bottom}>
                                        <div>昨日：<Statistic value={23} /></div>
                                        <div>今日：<Statistic value={1} /></div>
                                    </div>
                                </div>
                            </div>
                        </Card>
                        <Card bordered={false} style={{ width: 320 }}>
                            <div className={style.overview}>
                                <div className={style.left} style={{ backgroundColor: '#9254de' }}>
                                    <AccountBookOutlined style={{ fontSize: 24 }} />
                                    <div>回本</div>
                                </div>
                                <div className={style.right}>
                                    <div className={style.top} style={{ borderColor: '#9254de' }}>
                                        总回：<Statistic value={223} valueStyle={{ fontSize: 20, fontWeight: 600, color: 'red' }} suffix="%" />
                                    </div>
                                    <div className={style.bottom}>
                                        <div style={{ justifyContent: 'space-between' }}>
                                            <div>首日：<Statistic value={10} suffix="%" /></div>
                                            <div>7天：<Statistic value={20} suffix="%" /></div>
                                        </div>
                                        <div style={{ justifyContent: 'space-between', flex: 1 }}>
                                            <div>30天：<Statistic value={50} suffix="%" /></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </Card>
                    </div>
                </div>
            </div>
        </Space>
        <LineC height={size3.height || 0}/>
    </div>
}

export default AllSurvey