import useEcharts from "@/Hook/useEcharts"
import { useSize } from "ahooks"
import { Card, Radio } from "antd"
import React, { useRef } from "react"
import style from './index.less'

interface Props {
    height: number
}
/**
 * 线图
 * @returns 
 */
const LineC: React.FC<Props> = (props) => {

    /******************/
    const { height = 0 } = props
    const { LineMonitor } = useEcharts()
    const ref = useRef(null);
    const size = useSize(ref);
    /******************/


    return <div className={style.lineCont} ref={ref} style={{ height: `calc(100% - ${145.43 + height}px)` }}>
        <Card
            style={{ width: '100%', height: '100%' }}
            title={<Radio.Group defaultValue="a" buttonStyle="solid">
                <Radio.Button value="a">消耗&充值</Radio.Button>
                <Radio.Button value="b">买量充值&自然量充值</Radio.Button>
                <Radio.Button value="c">首日ROI</Radio.Button>
                <Radio.Button value="d">新增用户&创角人数</Radio.Button>
            </Radio.Group>}
            bodyStyle={{ padding: '0 0 24px', height: 'calc(100% - 68px)' }}
        >
            <LineMonitor style={{ width: '100%', height: '100%' }} series smooth data={[
                { legendName: '消耗', 2021: 1001, 2022: 30, 2023: 403, 2024: 204, 2025: 130, 2026: 60, 2027: 100, 2028: 30, 2029: 420, 2030: 230, 2031: 110, 2032: 260, 2033: 420, 2034: 1011, 2035: 60, 2036: 20, 2037: 10, 2038: 60, 2039: 20, 2040: 10, 2041: 60, 2042: 160, 2043: 520, 2044: 610, 2045: 601 },
                { legendName: '充值', 2021: 340, 2022: 309, 2023: 220, 2024: 526, 2025: 840, 2026: 91, 2027: 100, 2028: 30, 2029: 432, 2030: 211, 2031: 1110, 2032: 350, 2033: 520, 2034: 430, 2035: 61, 2036: 120, 2037: 210, 2038: 160, 2039: 320, 2040: 210, 2041: 160, 2042: 160, 2043: 520, 2044: 610, 2045: 611 }
            ]} />
        </Card>
    </div>
    // <Row gutter={[8, 8]}>
    //     <Col span={12}><Card hoverable>
    //         <div className={style.lineC}>
    //             <LineMonitor style={{ width: '100%', height: '360px' }} series smooth data={[{ legendName: '消耗', 2021: 100, 2022: 30, 2023: 40, 2024: 20, 2025: 10, 2026: 60 }, { legendName: '充值', 2021: 140, 2022: 30, 2023: 20, 2024: 56, 2025: 80, 2026: 91 }]} />
    //         </div>
    //     </Card></Col>
    //     <Col span={12}><Card hoverable>
    //         <div className={style.lineC}>
    //             <LineMonitor style={{ width: '100%', height: '360px' }} series smooth data={[{ legendName: '买量充值', 2021: 105, 2022: 310, 2023: 400, 2024: 220, 2025: 410, 2026: 600 }, { legendName: '自然量充值', 2021: 564, 2022: 125, 2023: 496, 2024: 84, 2025: 96, 2026: 785 }]} />
    //         </div>
    //     </Card></Col>
    //     <Col span={12}><Card hoverable>
    //         <div className={style.lineC}>
    //             <LineMonitor style={{ width: '100%', height: '360px' }} series smooth data={[{ legendName: '首日ROI', 2021: 10, 2022: 30, 2023: 40, 2024: 20, 2025: 10, 2026: 60 }]} title={'首日ROI'} />
    //         </div>
    //     </Card></Col>
    //     <Col span={12}><Card hoverable>
    //         <div className={style.lineC}>
    //             <LineMonitor style={{ width: '100%', height: '360px' }} series smooth data={[{ legendName: '新增人数', 2021: 120, 2022: 30, 2023: 340, 2024: 120, 2025: 102, 2026: 60 }, { legendName: '创角人数', 2021: 100, 2022: 105, 2023: 90, 2024: 210, 2025: 300, 2026: 60 }]} />
    //         </div>
    //     </Card></Col>
    // </Row>
}

export default React.memo(LineC)