import QueryForm from "@/components/QueryForm"
import { useAjax } from "@/Hook/useAjax"
import { EverydayListType, getEveryListApi } from "@/services/gameData/extensionData"
import React, { useEffect, useState } from "react"
import TableData from "../../components/TableData"
import columns12 from "./tableConfig"



const Everyday: React.FC = () => {

    /***************************/
    const [queryForm, setQueryForm] = useState<EverydayListType>({ pageNum: 1, pageSize: 20 })
    const getEveryList = useAjax((params) => getEveryListApi(params))
    /***************************/

    useEffect(() => {
        getEveryList.run(queryForm)
    }, [queryForm])

    return <div>

        <TableData
            leftChild={<QueryForm 
                onChange={(data: any) => setQueryForm({ ...queryForm, pageNum: 1, ...data })}
                isAccount
                isAccountId
                isCompanyId
                isCpId
                isCpName
                isGameId
                isGameName
                isGameType
                isPutAgent
                isSysUserName
                isSysUserId
                isConsumeDay
            />}
            scroll={{ x: 1000, y: 600 }}
            ajax={getEveryList}
            fixed={{ left: 5, right: 0 }}
            dataSource={getEveryList?.data?.records}
            total={getEveryList?.data?.total}
            page={queryForm.pageNum}
            pageSize={queryForm.pageSize}
            title='推广每日数据'
            onChange={(props: any) => {
                setQueryForm({ ...queryForm, pageNum: props?.pagination?.current || 1, pageSize: props?.pagination?.pageSize || 20 })
            }}
            config={columns12()}
            configName={'推广每日数据'}
        />
    </div>
}

export default Everyday