import WidthEllipsis from "@/components/widthEllipsis"
import { Statistic } from "antd"
import React from "react"


function columns12(): { label: string, fieldSHow?: { label: string, saveField: string, defaultValue: any[], data: any[] }, data: any[] }[] {

    return [
        {
            label: '订单明细',
            data: [
                { title: '日期（订单创建日期）', dataIndex: 'createDay', label: '订单明细', align: 'center', width: 85, default: 1 },
                { 
                    title: '商户订单号', dataIndex: 'orderId', label: '订单明细', align: 'center', width: 120, default: 2,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                { 
                    title: 'CP订单号', dataIndex: 'cpOrderId', label: '订单明细', align: 'center', width: 130, default: 3,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                { title: '第三方支付订单号', dataIndex: 'merchantOrderNo', label: '订单明细', align: 'center', width: 85, default: 4 },
                { title: '玩家ID', dataIndex: 'userId', label: '订单明细', align: 'center', width: 65, default: 5 },
                { title: '玩家账号', dataIndex: 'userName', label: '订单明细', align: 'center', width: 95, default: 6 },
                { 
                    title: '玩家注册时间', dataIndex: 'userRegTime', label: '订单明细', align: 'center', width: 135, default: 7,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                { title: '玩家注册渠道', dataIndex: 'regAgent', label: '订单明细', align: 'center', width: 95, default: 8 },
                { title: '玩家注册游戏', dataIndex: 'regGameName', label: '订单明细', align: 'center', width: 95, default: 9 },
                { title: 'CP名称', dataIndex: 'cpName', label: '订单明细', align: 'center', width: 95, default: 10 },
                { title: '玩家注册游戏应用类型', dataIndex: 'regGameCategoryName', label: '订单明细', align: 'center', width: 110, default: 11 },
                { title: '归因投放人员', dataIndex: 'pitcherName', label: '订单明细', align: 'center', width: 95, default: 12 },
                { title: '归因推广账号', dataIndex: 'accountName', label: '订单明细', align: 'center', width: 95, default: 13 },
                { title: '归因媒体', dataIndex: 'mediaName', label: '订单明细', align: 'center', width: 95, default: 14 },
                { title: '归因广告', dataIndex: 'adId', label: '订单明细', align: 'center', width: 95, default: 15 },
                { title: '玩家充值游戏', dataIndex: 'rechargeGameName', label: '订单明细', align: 'center', width: 95, default: 16 },
                { title: '玩家充值游戏应用类型', dataIndex: 'rechargeGameCategory', label: '订单明细', align: 'center', width: 110, default: 17 },
                { 
                    title: '充值产品名称', dataIndex: 'productName', label: '订单明细', align: 'center', width: 85, default: 18,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                { 
                    title: '订单金额', dataIndex: 'amount', label: '订单明细', align: 'center', width: 95, default: 19,
                    render: (a: any) => <Statistic value={a || 0} precision={2}/>
                },
                { 
                    title: '订单实付金额', dataIndex: 'realAmount', label: '订单明细', align: 'center', width: 95, default: 20,
                    render: (a: any) => <Statistic value={a || 0} precision={2}/>
                },
                { title: '支付方式', dataIndex: 'payWay', label: '订单明细', align: 'center', width: 65, default: 21 },
                { title: '支付场景', dataIndex: 'payDeviceName', label: '订单明细', align: 'center', width: 95, default: 22 },
                { title: '收款账户', dataIndex: 'merchantNo', label: '订单明细', align: 'center', width: 95, default: 23 },
                { title: '游戏区服', dataIndex: 'serverName', label: '订单明细', align: 'center', width: 95, default: 24 },
                { title: '游戏角色', dataIndex: 'gameRoleName', label: '订单明细', align: 'center', width: 95, default: 25 },
                { title: '角色等级', dataIndex: 'roleLevel', label: '订单明细', align: 'center', width: 75, default: 26 },
                { title: '角色VIP', dataIndex: 'roleVipLevel', label: '订单明细', align: 'center', width: 75, default: 27 },
                { title: '操作系统', dataIndex: 'deviceSystem', label: '订单明细', align: 'center', width: 75, default: 28 },
                { title: '是否切量', dataIndex: 'isSwitch', label: '订单明细', align: 'center', width: 45, default: 29 },
                { 
                    title: '创建时间', dataIndex: 'createTime', label: '订单明细', align: 'center', width: 135, default: 30,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                { 
                    title: '支付时间', dataIndex: 'payTime', label: '订单明细', align: 'center', width: 135, default: 31,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                { title: '支付状态', dataIndex: 'status', label: '订单明细', align: 'center', width: 85, default: 32 },
                { 
                    title: '是否首充', dataIndex: 'isFirstRecharge', label: '订单明细', align: 'center', width: 45, default: 33,
                    render: (a: any) => {
                        return a === 1 ? '是' : '否'
                    }
                },
            ]
        },
    ]
}

export default columns12