import { useAjax } from "@/Hook/useAjax"
import { getRechargeUserApi, UserRechargeListType } from "@/services/gameData/rankingList"
import React, { useEffect, useState } from "react"
import TableData from "../../components/TableData"
import columns12 from "./tableConfig"
import QueryForm from "@/components/QueryForm"


const Gamer: React.FC = () => {

    /************************/
    const [queryForm, setQueryForm] = useState<UserRechargeListType>({ pageNum: 1, pageSize: 20 })
    const getRechargeGameList = useAjax((params) => getRechargeUserApi(params))
    /************************/

    useEffect(() => {
        getRechargeGameList.run(queryForm)
    }, [queryForm])

    return <div>

        <TableData
            leftChild={<QueryForm
                onChange={(data: any) => setQueryForm({ ...queryForm, pageNum: 1, ...data })}
                initialValues={{ dateType: 'all' }}
                isSelectRanking
            />}
            scroll={{ x: 1000, y: 600 }}
            ajax={getRechargeGameList}
            fixed={{ left: 1, right: 0 }}
            dataSource={[]}
            title='玩家充值排行榜'
            onChange={(props: any) => {
                console.log('props--->', props)
            }}
            config={columns12()}
            configName={'玩家充值排行榜'}
        />
    </div>
}

export default Gamer